ESP IDF 3.3 with "old" modules, new production run uses v3 modules - updates and compatibility

jcsbanks
Posts: 301
Joined: Tue Mar 28, 2017 8:03 pm

ESP IDF 3.3 with "old" modules, new production run uses v3 modules - updates and compatibility

Postby jcsbanks » Tue May 05, 2020 10:43 am

I have devices in production using WROVER modules with 16MB flash and 8MB PSRAM using ESP IDF release 3.3 using a different toolchain as per github https://github.com/espressif/esp-idf/issues/2892 to mitigate PSRAM issues which seems to work well.

The next production run has the new v3 modules.

I was wondered if I had to change ESP-IDF to 4.0 or make any other changes but it looks like I can just carry on: https://www.espressif.com/sites/default ... de__EN.pdf

ESP_igrr
Posts: 1683
Joined: Tue Dec 01, 2015 8:37 am

Re: ESP IDF 3.3 with "old" modules, new production run uses v3 modules - updates and compatibility

Postby ESP_igrr » Tue May 05, 2020 9:27 pm

Hi jcsbanks,

If your design doesn't use the 32kHz XTAL, you can upgrade the module without making any changes to the SDK or the application.
If you are using the 32kHz XTAL, there is a different recommended circuit for the ECO3 chips, explained in the hardware design guidelines. No SDK update Is required in this case either.

Who is online

Users browsing this forum: Baidu [Spider] and 30 guests